Bug 104344 - ar command fails to preserve dates across NFS
ar command fails to preserve dates across NFS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: binutils (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-12 17:21 EDT by Tim Johnson
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Johnson 2003-09-12 17:21:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
When you specify 'ar -xo foo.ar one', the object is extracted but the old date
is not preserved.

It works just fine on a local disk. The nfs mounts were performed by autofs4. I
get identical behavior on a RH 9.0 Box. The ar command seems to work correctly
on RH 7.1 (binutils-2.10.91.0.2-3) to same disk partition.

The file server is a Sun Cluster.

Version-Release number of selected component (if applicable):
binutils-2.13.90.0.18-9

How reproducible:
Always

Steps to Reproduce:
1.On NFS partition: ar cr one
2.rm one
3.ar xo one



Actual Results:  The following error message is displayed:
    ar: one: cannot set time: Invalid argument

File 'one' was extracted. Old timestamp was not preserved

Expected Results:  Old file timestamp should be preserved

Additional info:

Here is the output from mount:
orfsrv1.hillsboro.credence.com:/export/ag4/users/tjohnson on /u/tjohnson type
nfs (rw,nosuid,addr=10.4.10.153)

I tried it on another file sytem that was mounted as follows:
orfsrv1:/export/vol/engr/cobalt on /ims/cobalt type nfs (rw,addr=10.4.10.153)

The file server is a Sun Cluster.
Comment 1 Jakub Jelinek 2003-09-14 16:35:58 EDT
What exact glibc version?
Comment 2 Tim Johnson 2003-10-08 13:31:45 EDT
% rpm -q glibc
glibc-2.3.2-85
Comment 3 Jakub Jelinek 2004-10-25 12:38:51 EDT
Looking into ar, I found it is calling utime () with unitialized
struct utimbuf's actime (and correctly initialized modtime).
Maybe the NFS server is picky what access times it allows to be used.
I think
http://sources.redhat.com/ml/binutils/2004-10/msg00405.html
should fix the problem for you.
Comment 4 Jakub Jelinek 2005-02-14 05:59:18 EST
Should be fixed in binutils-2.14.90.0.4-37.
Comment 5 Tim Powers 2005-05-18 09:45:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-260.html

Note You need to log in before you can comment on or make changes to this bug.